Subject: bug#61307: 30.0.50; pixel-scroll-precision-mode: window-scroll-functions?

From: Po Lu <[email-masked]>
Date: Sun, 19 Feb 2023 16:30:15 +0800

Michael Heerdegen <[email-masked]> writes:

> That is also my question!

I suggest adding a new counter to the kinetic state which counts the
number of pixels scrolled, taking into account the direction of the
scroll.  Then, once (abs counter) exceeds the line height, run
window-scroll-functions.

Alternatively, do that every time set-window-start is called.

>> Either way, please make sure it stays fast (or at least put it behind an
>> option which is off by default.)
>
> How can I be sure it stays fast?  It's obviously the right thing for my
> setup, but I have _zero_ experience with other setups (devices).  If you
> have, help would be very appreciated.

I'd recommend asking people to try it, especially with editing modes
that have lots of gizmos (``lsp-ui'' seems to be one of those, whatever
it is.)